Bug 3910 - Include social networking features in Reading Tool or article view
Include social networking features in Reading Tool or article view
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Reading Tools
2.3
PC Mac OS X 10.0
: P1 enhancement
Assigned To: PKP Support
Depends on: 2757
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 11:50 PST by James MacGregor
Modified: 2009-08-14 15:13 PDT (History)
3 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch to add an AddThis.com button to the bottom of HTML galleys. (22.26 KB, patch)
2009-05-20 11:53 PDT, Michael Joyce
Details | Diff
Patch against OJS pre-2.3 CVS (20.87 KB, patch)
2009-07-06 12:53 PDT, Alec Smecher
Details | Diff
patch against ojs2 pre-2.3 (3.72 KB, patch)
2009-08-11 15:06 PDT, James MacGregor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2008-12-02 11:50:03 PST
Social networking features should be included along with article email/comment features. Currently, the JM can individually enable 

- emailing the article to a colleague
- emailing the author
- article comments

Other options could include: 

- Citeulike
- Facebook
- Slashdot
- Digg
- Linkedin
- Delic.io.us
- Others? 

Other general points: 

- It would also be nice if all of these sharing options were grouped together. 

- Would it be possible to implement as a set of plugins (say if someone had another networking site they would like to add)?

- If comment links are left at the bottom of the article, it would be nice to include a 'view comments' link as well. Optionally, it would be nice to have all comment text available at the bottom of the article rather than on a separate page (although possibly collapsible). 

- Although these features should probably be included in the RT, this might be a technical hassle. For example, I just tried hardcoding the default Facebook Share linktext (http://www.facebook.com/share_partners.php) to the RT, and it worked -- but sent me to the RT frame for the test article only. I'm sure that this is surmountable; but I'll also admit a certain desire to see these features included at the top of any given article (possibly alongside the font sizer?) and not necessarily dependent on the full RT. 

- While building the infrastructure for this is beyond my skills, I don't mind tracking down various sharing scripts as provided by these sites; testing; etc.
Comment 1 Matthew Crider 2008-12-02 15:51:55 PST
I think this would be best to implement as a block plugin, because IIRC with at least Digg, the 'Digg this' box is just a URL to their site with your web site embedded within it (which the plugin will embed for you, as well as ensuring it is only shown in the right places).  Putting it somewhere else (e.g. the top of an article, or in the RT) should be just as easy once you find or create hooks for it.  Maybe we can create a new plugin category ('social' or 'share' or something just as flowery) and try to make it simple for people to create their own social media sharing plugins?
Comment 2 James MacGregor 2008-12-02 16:47:37 PST
(In reply to comment #1)

Hey Matt, I just checked out Digg and what they offer for this: http://digg.com/tools/integrate. 

Slashdot offers: http://slashdot.org/faq/badges.shtml -- let's just stay away from the badges themselves :)

I think it would be great if we could come up with an easy-to-replicate plugin (or really, set of plugins to cover at least some of the more popular examples) so that others could take it and run. From some very quick web research, I think it's safe to say most of the plugins would probably be a wrapper for various sites' javascript such as Facebook, Slashdot and Digg, above.  

It would also be great to be able to see these tools from the site- as well as article-level, as they could function for Announcements etc. -- but I think it's crucial that they be available from the article level. I like the idea of a 'social' plugin group. 
Comment 3 Alec Smecher 2008-12-04 11:14:48 PST
The cleanest way to implement this might be as part of a RT overhaul, whereby it gets properly moved into the PKP tree as well. This would ideally allow finer-grained rearrangement and extension of RT items, something like the sidebar controls on Journal Setup page 5.
Comment 4 John Willinsky 2008-12-04 13:55:26 PST
Agreed, that this should be part of a major RT overhaul. Can we group all related bugs, and share with UVic team once we reformulates?
Comment 5 Alec Smecher 2008-12-08 08:57:47 PST
John, I've grouped the RT entries I could find by marking them as dependent on bug #2757. You can get a list of them from that entry.
Comment 6 James MacGregor 2008-12-15 22:05:16 PST
One more comment courtesy of Mahmoud (http://pkp.sfu.ca/support/forum/viewtopic.php?f=9&p=14941): add the possibility of using RT elements outside of articles themselves; fore example, allow for Print Version, Definitions, and Notify Colleague (Email Table of Contents) tools on the Table of Contents. This may be facilitated if we develop the RT as a series of plugins. 
Comment 7 Michael Joyce 2009-05-20 11:53:32 PDT
Created attachment 1800 [details]
Patch to add an AddThis.com button to the bottom of HTML galleys.
Comment 8 Alec Smecher 2009-07-06 12:53:35 PDT
Created attachment 2105 [details]
Patch against OJS pre-2.3 CVS

Some trivial tune-ups and a conflict resolved since the original patch was submitted. Committing to OJS2 CVS HEAD.
Comment 9 Alec Smecher 2009-07-06 12:56:00 PDT
Not porting to OCS for now -- when the RT UI overhaul and rewrite happens, we'll use the OJS version as a basis and this feature will be ported then.
Comment 10 James MacGregor 2009-08-11 15:06:47 PDT
Created attachment 2261 [details]
patch against ojs2 pre-2.3

Reopening: Michael and Alec, what about adding the button to the top of the article, beside the font sizer buttons? I've attached a patch that does this, with a minimum of fuss (although it does replicate the footer's addThis code in the header; maybe there's a smarter way to do this). 

The patch adds a small break between the comments items and the share button in the footer. It also changes the articleFontSize div to articleTools. If this is an issue, please advise; and if this is sneaking in too close to release time, please defer.
Comment 11 Alec Smecher 2009-08-14 09:33:46 PDT
James, I like the idea, but I think it's too late for 2.3. Could you file your patch as a new Bugzilla entry and close this one?
Comment 12 James MacGregor 2009-08-14 15:13:43 PDT
(In reply to comment #11)
> James, I like the idea, but I think it's too late for 2.3. Could you file your
> patch as a new Bugzilla entry and close this one?

Yep! See Bug 4621 for a continuation of this bug.